Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1103073

Description of problem:

Description of options given under host-collection subscommands should be more clear and descriptive. For ex:

[root@dhcp207-55 ~]# hammer host-collection remove-content-host --help

Usage:

hammer host-collection remove-content-host [OPTIONS]

Options:

--id ID

--name NAME                   Name to search by

--organization ORGANIZATION_NAME

--organization-id ORGANIZATION_ID

--organization-label ORGANIZATION_LABEL

--system SYSTEM_NAME

--system-id SYSTEM_ID

-h, --help                    print help

Please make it more user friendly. User should understand all options by their description.

here --id should have description like: ID of host-collection[required]

--name should have description Name of host-collection

--system Name of system

There are other areas as well which are not clear. like:

[root@dhcp207-55 ~]# hammer host-collection content-hosts --help

Usage:

hammer host-collection content-hosts [OPTIONS]

Options:

--activation-key ACTIVATION_KEY_NAME

--activation-key-id ACTIVATION_KEY_ID

--id ID                       Id of the host collection

--organization ORGANIZATION_NAME

--organization-id ORGANIZATION_ID

--organization-label ORGANIZATION_LABEL

--system SYSTEM_NAME

--system-id SYSTEM_ID

-h, --help                    print help

here what's the purpose of --system, assuming to list/search the list by specific list.?

Version-Release number of selected component (if applicable):

sat6 beta snap7 compose 2 (Satellite-6.0.3-RHEL-6-20140528.4)
How reproducible:

always

Steps to Reproduce:

1.

2.

3.

Actual results:

Expected results:

Description of options given under host-collection subscommands should be more clear and descriptive.

Additional info:

Associated revisions

Revision 7488b3a8 - 06/16/2014 06:25 PM - Tomas Strachota 

Fixes #6093 - better option descriptions

- added custom descriptions for each searchable

History

#1 - 06/06/2014 11:47 AM - Tomáš Strachota

- Status changed from New to Assigned

- Assignee set to Tomáš Strachota

- Triaged set to No

#2 - 06/06/2014 12:50 PM - Eric Helms

- Target version set to 45

- Triaged changed from No to Yes

#3 - 06/12/2014 11:25 AM - Tomáš Strachota

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/hammer-cli/pull/116

https://github.com/theforeman/hammer-cli-foreman/pull/128

https://github.com/Katello/hammer-cli-katello/pull/190

#4 - 06/16/2014 02:56 PM - Eric Helms

- Target version changed from 45 to 48

#5 - 06/16/2014 09:06 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset hammer-cli-katello|commit:7488b3a8285eb2d252db35684400a2357f71308a.

#6 - 08/22/2014 08:33 AM - Eric Helms

- translation missing: en.field_release set to 13
